@import url('https://fonts.googleapis.com/css?family=Titillium+Web&display=swap');
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  background-image: url('bg.jpg');
  background-size: cover;
  background-position: center center;
  /* background-repeat: no-repeat; */
  overflow-x: hidden;
  font-family: 'Titillium Web', sans-serif;
  color: #fff;
  font-size: 16px;
}
h1 {
  text-align: center;
  margin: 7px 0;
  font-size: 20px;
  text-shadow: 2px 3px 3px rgb(75, 75, 75);
}
.cms-table-container {
  font-size: 14px;
  width: 98%;
  margin: auto;
}
.cms-table-row {
  display: flex;
}
.cms-table-column {
  background-color: rgba(236, 54, 68, 0.8);
  margin: 2px;
  padding: 7px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.cms-name {
  flex-basis: 22%;
}
.cms-phone {
  flex-basis: 22%;
}
.cms-address {
  flex-grow: 2;
  flex-basis: 22%;
}
.cms-header {
  text-align: center;
  background-color: rgba(236, 54, 68, 1);
  font-weight: bolder;
}
.cms-edit,
.cms-delete,
.cms-add-entry-column {
  flex-basis: 10%;
  text-align: center;
  cursor: pointer;
}
#newPersonModal {
  width: 320px;
  padding: 10px;
  background-color: rgba(62, 196, 91, 0.815);
  border-radius: 5px;
  z-index: 99;
  top: 50px;
  position: absolute;
  margin-left: calc(50% - 160px);
}
#newPersonModal input {
  display: block;
  margin-bottom: 15px;
  padding: 10px;
  border-radius: 3px;
  width: 100%;
  border: none;
  font-family: 'Titillium Web', sans-serif;
}
.input-err {
  color: rgb(182, 8, 8);
  text-align: center;
}
#backdrop {
  width: 100%;
  height: 100%;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 50;
  top: 0;
  left: 0;
}
#newPersonSubmitBtn {
  background-color: rgb(6, 79, 163);
}
#newPersonCancelBtn {
  background-color: rgb(151, 47, 47);
}
button {
  padding: 12px 20px;
  border-radius: 5px;
  border: none;
  float: right;
  color: #fff;
  font-family: 'Titillium Web', sans-serif;
  margin: 5px;
  cursor: pointer;
}
button:hover {
  padding: 11px 19px;
}
.disable-modal {
  visibility: hidden;
}
.enable-modal {
  visibility: visible;
}
i {
  pointer-events: none;
}
@media screen and (min-width: 550px) {
  h1 {
    margin: 10px 0;
    font-size: 35px;
  }
  .cms-table-container {
    font-size: 16px;
    width: 95%;
  }
  .cms-table-column {
    padding: 10px;
  }
  .cms-edit,
  .cms-delete,
  .cms-add-entry-column {
    flex-basis: 8%;
  }
  #newPersonModal {
    width: 400px;
    margin-left: calc(50% - 200px);
  }
}
@media screen and (min-width: 800px) {
  h1 {
    margin: 15px 0;
    font-size: 45px;
  }
  .cms-table-container {
    font-size: 18px;
    width: 85%;
  }
  .cms-table-column {
    padding: 12px;
  }
  .cms-edit,
  .cms-delete,
  .cms-add-entry-column {
    flex-basis: 7%;
  }
  #newPersonModal {
    width: 500px;
    margin-left: calc(50% - 250px);
  }
}
